*****************************************************************************
*                                                                           *
*                  	       Parralax Copper Bars			    *
*                                                                           *
*  Start Date : 25/3/91                                                     *
* Last Update : 25/3/91                                                     *
*   							   Code : Melt Down *
*                                                                           *
*****************************************************************************

; Include the macros

	Incdir	Df1:
	Include	Source/Macro

*****************************************************************************

; Dont forget to use chip ram

	Chip
	
*****************************************************************************

; Kill the operating system for good mesure

	Kill		
	
*****************************************************************************

; Load custom and set up copper list

	Lea	Custom,A5
	Move.l	#Copper,Cop1lch(a5)
	
*****************************************************************************

	Lea	$70000,A1
	Move.l	#120/4,d7
ShagA
	Clr.l	(a1)+
	Dbf	D7,Shaga

*****************************************************************************

	Move.l	#Bob,Bltapth(a5)
	Move.l	#$70000+40,Bltdpth(a5)
	Move.w	#40,Bltdmod(a5)
	Move.w	#0,Bltamod(a5)
	Move.l	#-1,Bltafwm(a5)
	Move.l	#$09f00000,Bltcon0(a5)
	Move.w	#3*64+1,Bltsize(a5)

*****************************************************************************

; Main routine here

Mouse
	Move.l	$dff004,d2
	And.l	#$1ff00,d2	
	Cmp.l	#$100,d2
	Bne.s	Mouse
	
	Bsr	DoPar1
	Tstmice	Mouse				; Pressed the mouse
	
*****************************************************************************

; Return operating system and go back to user

	Heal
	Clr.l	D0				; No error
	Rts
	
*****************************************************************************

DoPar1
	Tst.w	Scroll1
	Bne.s	Scrollon1
	Move.w	#16,Scroll1
	Move.l	#Bob,Bltapth(a5)
	Move.l	#$70000+48,Bltdpth(a5)
	Move.w	#78,Bltdmod(a5)
	Move.w	#0,Bltamod(a5)
	Move.l	#-1,Bltafwm(a5)
	Move.l	#$09f00000,Bltcon0(a5)
	Move.w	#3*64+1,Bltsize(a5)
Scrollon1
	Move.l	#$70002,Bltapth(a5)
	Move.l	#$70000,Bltdpth(a5)
	Move.l	#$f9f00000,Bltcon0(a5)
	Move.w	#0,Bltamod(a5)
	Move.w	#0,Bltdmod(a5)
	Move.l	#-1,Bltafwm(a5)
	Move.w	#3*64+40,Bltsize(a5)
	Sub.w	#1,Scroll1
	Rts

*****************************************************************************

; All copper list after here

Copper

	Spr_Off					; Switch sprites off
	Cmove	$2871,Diwstrt
	Cmove	$2cd1,Diwstop
	Cmove	$0028,Ddfstrt
	Cmove	$00d8,Ddfstop
	Cmove	-46,Bpl1mod			
	Cmove	-46,Bpl2mod			
	Cmove	$0000,Color00
	Cmove	$0222,Color01
	Cmove	$0444,Color02
	Cmove	$0666,Color03
	Cmove	$0888,Color04
	Cmove	$0aaa,Color05
	Cmove	$0ccc,Color06
	Cmove	$0fff,Color07
	Cmove	$0007,Bpl1pth
	Cmove	$0000,Bpl1ptl
	Cmove	$0007,Bpl2pth
	Cmove	$0000+80,Bpl2ptl
	Cmove	$0007,Bpl3pth
	Cmove	$0000+160,Bpl3ptl
	Cmove	$3200,Bplcon0
	Endcop

*****************************************************************************

Scroll1
	Dc.w	0
	
*****************************************************************************

Bob
	Dc.w	%1010101111010101
	DC.w	%0110011111100110
	Dc.w	%0001111111111000

*****************************************************************************

