*****************************************************************************

				******************
				* 1 Pixel Copper *
				*      Code      *    
				*       By       *
				*     Slaine     *
				*     Arena!     *
				******************

*****************************************************************************
	Incdir	df1:
	Include	source/Macro
*****************************************************************************
	Chip
CopCrea	=	$60000
*****************************************************************************
	Pos
	Kill
*****************************************************************************
	Lea	Custom,A5
	Move.l	#Copper,Cop1lch(a5)			; Init Copper
*****************************************************************************
	Move.l	#Pic1x,D0				; Init Bitmaps
	PlaneOn	D0,Bit1l+2,Bit1h+2
	Add.w	#88,D0
	PlaneOn	D0,Bit2l+2,Bit2h+2
	Add.w	#88,D0
	PlaneOn	D0,Bit3l+2,Bit3h+2
	Add.w	#88,D0
	PlaneOn	D0,Bit4l+2,Bit4h+2
	Add.w	#88,D0
	PlaneOn	D0,Bit5l+2,Bit5h+2
*****************************************************************************
	Bsr	FillCop
*****************************************************************************
MainLoop
	Pos
	Bsr	CopSin
	TstMice	MainLoop				; Wait For Mouse
*****************************************************************************
	Heal
	Clr.l	d0
	Rts
*****************************************************************************
FillCop							; Creat A Copper
	Lea	CopCrea,A0
	Move.l	#260-1,D7
	Move.l	#$2809fffe,d0
CreatLoop
	Move.l	d0,(a0)+
A	Set	$0182
	Rept	31
	Move.w	#a,(a0)+
	Clr.w	(a0)+
A	Set	A+2
	Endr
	Add.l	#$01000000,D0
	Dbf	D7,CreatLoop
	Move.l	#$ff09fffe,(a0)+
	Move.l	#Copper,d0
	Move.w	#Cop1lcl,(a0)+
	Move.w	d0,(a0)+
	Swap	D0
	Move.w	#Cop1lch,(a0)+
	Move.w	d0,(a0)+
	Move.l	#$fffffffe,(a0)+
	Rts
*****************************************************************************
CopSin
	Move.l	#$09f00000,Bltcon0(a5)
	Move.w	#126,Bltdmod(a5)
	Move.w	#000,Bltamod(a5)
	Move.l	#-1,Bltafwm(a5)
	Move.w	#31-1,D7		; Number Of Colours
	Move.l	#CopCrea+6,D2
	Move.w	#260*64+1,D3
	Lea	Form1,A0
	Lea	Sin1,A1
	Move.w	#2,D4
	Move.w	#$1fe,d5
CopLoop
	Move.l	(a0)+,D0
	Move.w	(a0),d1
	Add.w	d4,(a0)
	And.w	d5,(a0)+
	Add.w	(a1,d1),d0
	Move.l	D0,Bltapth(a5)
	Move.l	D2,Bltdpth(a5)
	Move.w	D3,Bltsize(a5)
	Add.w	#4,D2
	Dbf	D7,CopLoop
	Rts
*****************************************************************************
Copper
	Cmove	$2871,Diwstrt
	Cmove	$2cd1,Diwstop
	Cmove	$0028,Ddfstrt
	Cmove	$00d0,Ddfstop
	Cmove	$00bb,Bplcon1
	Cmove	-0044,Bpl1mod			
	Cmove	-0044,Bpl2mod
	Cmove	$5200,Bplcon0
	Cmove	$0000,Color00
Bit1l	Cmove	$0000,Bpl1ptl
Bit1h	Cmove	$0000,Bpl1pth
Bit2l	Cmove	$0000,Bpl2ptl
Bit2h	Cmove	$0000,Bpl2pth
Bit3l	Cmove	$0000,Bpl3ptl
Bit3h	Cmove	$0000,Bpl3pth
Bit4l	Cmove	$0000,Bpl4ptl
Bit4h	Cmove	$0000,Bpl4pth
Bit5l	Cmove	$0000,Bpl5ptl
Bit5h	Cmove	$0000,Bpl5pth
	Cmove	$0006,Cop1lch
	Cmove	$0000,COp1lcl
	EndCop
*****************************************************************************
Pic1x	Incbin	Gfx/Wig1.bm
*****************************************************************************
ColPat1
	Rept	7
	Dc.w	$f00,$f01,$f02,$f03,$f04
	Dc.w	$f05,$f06,$f07,$f08,$f09,$f0a,$f0b,$f0c,$f0d,$f0e
	Dc.w	$f0f,$e1f,$d2f,$c3f,$b4f,$a5f,$96f,$87f,$78f,$69f
	Dc.w	$5af,$4bf,$3cf,$2df,$1ef,$0ff,$1fe,$2fd,$3fc,$4fb
	Dc.w	$5fa,$6f9,$7f8,$8f7,$9f6,$af5,$bf4,$cf3,$df2,$ef1
	Dc.w	$ff0,$ff1,$ff2,$ff3,$ff4,$ff5,$ff6,$ff7,$ff8,$ff9
	Dc.w	$ffa,$ffb,$ffc,$ffd,$ffe,$fff,$fee,$fdd,$fcc,$fbb
	Dc.w	$faa,$f99,$f88,$f77,$f66,$f55,$f44,$f33,$f22,$f11
	Endr
*****************************************************************************
Form1
A	Set	0
	Rept	31
	Dc.l	ColPat1
	Dc.w	(A&$1fe)
A	Set	a+8
	Endr
*****************************************************************************
Sin1
	Rept	2
	dc.w	100*2,100*2,100*2,100*2,100*2,100*2,99*2,99*2
	dc.w	99*2,99*2,99*2,98*2,98*2,97*2,97*2,97*2
	dc.w	96*2,96*2,95*2,95*2,94*2,94*2,93*2,92*2
	dc.w	92*2,91*2,90*2,89*2,89*2,88*2,87*2,86*2
	dc.w	85*2,84*2,84*2,83*2,82*2,81*2,80*2,79*2
	dc.w	78*2,77*2,76*2,75*2,74*2,72*2,71*2,70*2
	dc.w	69*2,68*2,67*2,66*2,65*2,63*2,62*2,61*2
	dc.w	60*2,59*2,57*2,56*2,55*2,54*2,52*2,51*2
	dc.w	50*2,49*2,48*2,46*2,45*2,44*2,43*2,41*2
	dc.w	40*2,39*2,38*2,37*2,35*2,34*2,33*2,32*2
	dc.w	31*2,30*2,29*2,28*2,26*2,25*2,24*2,23*2
	dc.w	22*2,21*2,20*2,19*2,18*2,17*2,16*2,16*2
	dc.w	15*2,14*2,13*2,12*2,11*2,11*2,10*2,9*2
	dc.w	8*2,8*2,7*2,6*2,6*2,5*2,5*2,4*2
	dc.w	4*2,3*2,3*2,3*2,2*2,2*2,1*2,1*2
	dc.w	1*2,1*2,1*2,0*2,0*2,0*2,0*2,0*2
	dc.w	0*2,0*2,0*2,0*2,0*2,0*2,1*2,1*2
	dc.w	1*2,1*2,1*2,2*2,2*2,3*2,3*2,3*2
	dc.w	4*2,4*2,5*2,5*2,6*2,6*2,7*2,8*2
	dc.w	8*2,9*2,10*2,11*2,11*2,12*2,13*2,14*2
	dc.w	15*2,16*2,16*2,17*2,18*2,19*2,20*2,21*2
	dc.w	22*2,23*2,24*2,25*2,26*2,28*2,29*2,30*2
	dc.w	31*2,32*2,33*2,34*2,35*2,37*2,38*2,39*2
	dc.w	40*2,41*2,43*2,44*2,45*2,46*2,48*2,49*2
	dc.w	50*2,51*2,52*2,54*2,55*2,56*2,57*2,59*2
	dc.w	60*2,61*2,62*2,63*2,65*2,66*2,67*2,68*2
	dc.w	69*2,70*2,71*2,72*2,74*2,75*2,76*2,77*2
	dc.w	78*2,79*2,80*2,81*2,82*2,83*2,84*2,84*2
	dc.w	85*2,86*2,87*2,88*2,89*2,89*2,90*2,91*2
	dc.w	92*2,92*2,93*2,94*2,94*2,95*2,95*2,96*2
	dc.w	96*2,97*2,97*2,97*2,98*2,98*2,99*2,99*2
	dc.w	99*2,99*2,99*2,100*2,100*2,100*2,100*2,100*2
	Endr	
*****************************************************************************

