*****************************************************************************

				**************
				* Map Editor *
				*     By     *
				*   Slaine   *
				*     Of     *
				*   Arena!   *
				**************

*****************************************************************************
	Incdir	df1:			
	Include	df1:source/macro
	Chip
*****************************************************************************
Var1	=	4			        ; Number Of Bitmaps On Blocks
*****************************************************************************
Up	=	$67
Down	=	$65
Right	=	$63
Left	=	$61
Return	=	$77
Back	=	$7d
Del	=	$73
Plus	=	$e7
Minus	=	$e9
*****************************************************************************
	Move.l	4,A6
	Jsr	-132(a6)
	Move.l	(a6),A6
	Move.l	(a6),A6
	Move.l	38(a6),OldCopper
*****************************************************************************
	Lea	Custom,A5
	Move.l	#Copper,Cop1lch(a5)
*****************************************************************************
	Blitwait
	Move.l	#$70000,Bltdpth(a5)
	Move.w	#000,Bltdmod(a5)
	Move.l	#-1,Bltafwm(a5)
	Move.l	#$01000000,Bltcon0(a5)
	Move.w	#392*64+50,Bltsize(a5)
*****************************************************************************
	Move.l	#Cursor,D0
	PlaneOn	D0,Cursl+2,Cursh+2	
*****************************************************************************
	Move.w	Mapptr,d0
	Lea	Map,A0
	Move.b	(a0,d0),OldBlock
	Move.b	Block,(a0,d0)
*****************************************************************************
Mouse
	Pos
	Bsr	MoveCurs
	Bsr	DoMap
	Btst	#6,$bfe001
	Bne.s	Mouse
*****************************************************************************
	Move.w	Mapptr,d1
	Lea	Map,A0
	Move.b	OldBlock,(a0,d1)
*****************************************************************************
	Move.l	OldCopper,Cop1lch(a5)
	Move.l	4,A6
	Jsr	-138(a6)
	Move.l	4,a6
	Clr.l	D0
	Lea	Dos,A1
	Jsr	-552(a6)
	Move.l	D0,A6
	Move.l	#1006,D2
	Move.l	#File,D1
	Jsr	-30(a6)
	Move.l	D0,D1
	Move.l	d0,-(a7)
	Move.l	#Map,D2
	Move.l	#240,d3
	Jsr	-48(a6)
	Move.l	(a7)+,d1
	Jsr	-36(a6)
	Clr.l	D0
	Rts
*****************************************************************************
DoMap
	Blitwait
	Move.l	#$09f00000,Bltcon0(a5)
	Move.l	#-1,Bltafwm(a5)
	Move.w	#38,Bltdmod(a5)
	Move.w	#0,Bltamod(a5)
	Lea	Map,A0
	Move.l	#$70000,D1
	Move.l	#12-1,D6
Loop1
	Move.l	#20-1,D7
Loop2
	Clr.l	D0
	Move.b	(a0)+,D0
	Mulu	#128,D0
	Add.l	#Blocks,D0
	Blitwait
	Move.l	D0,Bltapth(A5)
	Move.l	D1,Bltdpth(A5)
	Move.w	#(16*Var1)*64+1,Bltsize(A5)
	Add.w	#2,D1
	Dbf	D7,Loop2
	Add.w	#((Var1*40)*16)-40,D1
	Dbf	D6,Loop1
	Rts
*****************************************************************************
MoveCurs
	Move.b	$bfec01,D0
	Cmp.b	#Return,D0
	Beq.s	SkipRet
	Move.w	Mapptr,d1
	Lea	Map,A0
	Move.b	OldBlock,(a0,d1)
SkipRet	
	Cmp.b	#Del,D0
	Bne.s	SkipDel
	Move.w	Mapptr,d1
	Lea	Map,A0
	Move.b	#0,(a0,d1)
SkipDel
	Cmp.b	#Up,D0
	Bne.s	SkipUp
	Cmp.b	#$28,Cursor
	Beq.s	SkipUp
	Sub.b	#16,Cursor
	Sub.b	#16,Cursor+2
	Sub.w	#20,MapPtr
SkipUp
	Cmp.b	#Down,D0
	Bne.s	SkipDown
	Cmp.b	#$d8,Cursor
	Beq.s	SkipDown
	Add.b	#16,Cursor
	Add.b	#16,Cursor+2
	Add.w	#20,MapPtr
SkipDown
	Cmp.b	#Right,D0
	Bne.s	SkipRight
	Cmp.b	#$d8,Cursor+1
	Beq.s	SkipRight
	Add.b	#8,Cursor+1
	Add.w	#1,Mapptr
SkipRight
	Cmp.b	#Left,D0
	Bne.s	SkipLeft
	Cmp.b	#$40,Cursor+1
	Beq.s	SkipLeft
	Sub.b	#8,Cursor+1
	Sub.w	#1,Mapptr
SkipLeft
	Cmp.b	#Plus,D0
	Bne.s	SkipPlus
	Add.b	#1,Block
SkipPlus
	Cmp.b	#Minus,D0
	Bne.s	SkipMinus
	Sub.b	#1,Block
SkipMinus
	Cmp.b	#Back,D0
	Bne.s	SkipAll
	Lea	Map,A0
	Move.l	#239,d7
ClearMap
	Clr.b	(a0)+
	Dbf	D7,ClearMap
	Move.w	#0,OldBlock
SkipAll
	Clr.b	$bfec01
	Move.w	Mapptr,d0
	Lea	Map,A0
	Move.b	(a0,d0),OldBlock
	Move.b	Block,(a0,d0)
	Rts
*****************************************************************************
OldBlock	
	Dc.b	0
Block	
	Dc.b	0
*****************************************************************************
Cursor
	Dc.l	$28403800
	Dc.w	%1111111111111111,0
	Dc.w	%1000000000000001,0
	Dc.w	%1000000000000001,0
	Dc.w	%1000000000000001,0
	Dc.w	%1000000000000001,0
	Dc.w	%1000000000000001,0
	Dc.w	%1000000000000001,0
	Dc.w	%1000000000000001,0
	Dc.w	%1000000000000001,0
	Dc.w	%1000000000000001,0
	Dc.w	%1000000000000001,0
	Dc.w	%1000000000000001,0
	Dc.w	%1000000000000001,0
	Dc.w	%1000000000000001,0
	Dc.w	%1000000000000001,0
	Dc.w	%1111111111111111,0
	Dc.w	0,0
*****************************************************************************
Copper
	Spr_Off					; Switch sprites off
Cursl	Cmove	$0000,Spr0ptl
Cursh	Cmove	$0000,Spr0pth
	Cmove	$2881,Diwstrt
	Cmove	$2cc1,Diwstop
	Cmove	$0038,Ddfstrt
	Cmove	$00d0,Ddfstop
	Cmove	(Var1*40)-40,Bpl1mod			
	Cmove	(Var1*40)-40,Bpl2mod			
	Cmove	(Var1*4096)+$200,Bplcon0
	Cmove	$0007,Bpl1pth
	Cmove	$0007,Bpl2pth
	Cmove	$0007,Bpl3pth
	Cmove	$0007,Bpl4pth
	Cmove	$0007,Bpl5pth
	Cmove	$0000,Bpl1ptl
	Cmove	$0028,Bpl2ptl
	Cmove	$0050,Bpl3ptl
	Cmove	$0078,Bpl4ptl
	Cmove	$00a0,Bpl5ptl
	dc.w	$0180,$0000,$0182,$0fff,$0184,$0f07,$0186,$0800
	dc.w	$0188,$0dc0,$018a,$03f1,$018c,$000f,$018e,$02cd
	dc.w	$0190,$0f0c,$0192,$0a0f,$0194,$0950,$0196,$0fca
	dc.w	$0198,$0fe0,$019a,$0ccc,$019c,$05de,$019e,$0444
	Cmove	$0fff,Color17
	EndCop
*****************************************************************************
MapPtr
	Dc.w	0
Map
	Dc.b	0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0
	Dc.b	0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0
	Dc.b	0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0
	Dc.b	0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0
	Dc.b	0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0
	Dc.b	0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0
	Dc.b	0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0
	Dc.b	0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0
	Dc.b	0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0
	Dc.b	0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0
	Dc.b	0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0
	Dc.b	0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0
*****************************************************************************
OldCopper	
	Dc.l	0
*****************************************************************************
Blocks	
	Incbin	Gfx/CrapBlocks
 Even
*****************************************************************************
Dos	Dc.b	"dos.library",0
 Even	
*****************************************************************************
File	Dc.b	"ram:a",0
 Even
*****************************************************************************
		
